<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire:
 *  * 24/01/05 Hooligan0 Debut de correction de la structure de gestion des
 *      tarifs : index, appels a la base, suppression de BddTarifs. INCOMPLET !
 *  * 09/12/05 GrdScarabe : passage au modele action
 **/

/* CHARGEMENT DES DEPENDANCES */
include_once GASELL_BASE . '/lib/Tarif.php';

/* RECUPERATIONS DES PARAMETRES */
global $Gasell;

$nom    = $args['nom'];
$nbcols = $args['cols'];

if (isset($args['exercice']))
	$exercice = $args['exercice'];

/* Test de la validite des donnees */
if(empty($nom) || empty($nbcols) )
{
	/* Un des deux champs est vide, on genere une erreur */
	$result['valid']   = false;
	$result['message'] = "Un des champs est vide !";
} elseif(strrchr($nom, " ") !== false) {
	/* pas d'espace ... sinon impossible de creer la table */
	$result['message']  = "Un nom de param&egrave;tre ne peut pas contenir";
	$result['message'] .= " d'espace";
	$result['valid']   = false;
} else {
	/* Instanciation d'un Tarif */
	$Tarif  = new Tarif($Gasell);

	if (isset($exercice))
		$Tarif->ParamCreate($nom, $nbcols, $exercice);
	else
		$Tarif->ParamCreate($nom, $nbcols);

	// TODO tester si l'ajout a bien fonctionne
	$result['message'] = "Param&egrave;tre ajout&eacute; avec succ&egrave;s";
	$result['valid']   = true;
}

?>
