<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 12/12/05 Hooligan0 : Creation de cette action d'exctraction des donnees
 *      sur une personne
 */

require_once GASELL_BASE . '/lib/Exercice.php';

global $Gasell;

$Exenum = $Gasell->CfgGet("ASSO", "Exercice");
$Exe = new Exercice($Exenum);

if (($args['personne'] != NULL) && is_object($args['personne']))
{
	/* Extrait la liste des adhesions pour cette personne                    */
	$Adhesions = $args['personne']->Adhesions;
}

$TypesAdhesion = $Exe->TypeAdhesion->searchAll();
foreach($TypesAdhesion as $k)
	$Classes[$k[0]] = $k[1];

$result['adhesions'] = $Adhesions;
$result['typesadhesions'] = $TypesAdhesion;
?>
