<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Description :
 *   Edition d'un parametre de tarifs
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire:
 *  * 24/01/05 Hooligan0 Debut de correction de la structure de gestion des
 *      tarifs : index, appels a la base, suppression de BddTarifs. INCOMPLET !
 *  * 19/12/05 GrdScarabe : passage au modele action
 */

/* chargement des dependances */
require_once GASELL_BASE .  "/lib/Tarif.php";

global $Gasell;

/* recuperation des arguments */
$table    = $args['nameParam'];

if( isset($args['exercice']) && !empty($args['exercice']) )
{
	/* Alors, utilisation de ce numero d'exercice pour l'affichage */
	$exercice  = $args['exercice'];
	$bexercice = true;
} else {
	/* Recherche dans la config le numero d'exercice actuel */
	$exercice  = $Gasell->CfgGet("ASSO", "Exercice");
	$bexercice = false;
}

$tab = Tarif::_subTableGet(strtolower($table), $exercice);

/* renvoie du resultat */
$result['tab'] = $tab;

?>
