<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.
eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire:
 *  * 24/01/05 Hooligan0 Debut de correction de la structure de gestion des
 *      tarifs : index, appels a la base, suppression de BddTarifs. INCOMPLET !
 *  * 09/12/05 GrdSCarabe : passage au modele action
 */

/* DEPENDANCES */
require_once(GASELL_BASE . "/lib/Tarif.php");
require_once(GASELL_BASE . "/lib/Exercice.php");

global $Gasell;

/* PAS D'ARGUMENT A RECUPERER */

/* Instanciation d'un objet Tarif pour les traitements qui suivent      */
$Tarif = new Tarif($Gasell);

$TarifExercice = 0;

/* Recherche dans la config l'etat de l'exercice actuel                 */
$ExerciceStatus = $Gasell->CfgGet("ASSO", "ExerciceStatus");
/* Si l'exercice est ouvert et non commence                             */
if (strtoupper($ExerciceStatus) == "OUVERT")
	/* Alors, le tarif est editable                                     */
	$editable = TRUE;
/* Sinon, l'exercice est commence ou ferme                              */
else
	/* Le tarif n'est donc pas editable                                 */
	$editable = FALSE;
  
/* Extrait la liste de tous les exercices                                */
$Exercices = Exercice::GetAll();

/* Construction d'une representation a plat du tarif a partir de l'objet */
$ncols = 0;
$toffs = array();
$tafft = array();
$Tarif->_flatTarif($ncol, $toffs, $tafft);

/* PREPARATION DU RETOUR DE L'ACTION */
$result['TarifExercice'] = $TarifExercice;
$result['Exercices']     = $Exercices;
$result['editable']      = $editable;
$result['Tarif']         = $Tarif;
$result['ncols']         = $ncols;
$result['toffs']         = $toffs;
$result['tafft']         = $tafft;

?>
