<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.
eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire:
 *  * 24/01/05 Hooligan0 Debut de correction de la structure de gestion des
 *      tarifs : index, appels a la base, suppression de BddTarifs. INCOMPLET !
 *  * 09/12/05 GrdSCarabe : passage au modele action
 */

/* DEPENDANCES */
require_once(GASELL_BASE . "/lib/Tarif.php");
require_once(GASELL_BASE . "/lib/Exercice.php");

global $Gasell;


/* RECUPERATION DES ARGUMENTS */
$exercice = $args['exercice'];

/* Alors, instanciation d'un objet tarif pour l'exercice specifie       */
$Tarif = new Tarif($Gasell, $exercice);
$TarifExercice = $exercice;

/* */
$Exercice = new Exercice($exercice);
//    echo $Exercice->DateDebut;
$editable=false;

/* Construction d'une representation a plat du tarif a partir de l'objet */
$ncols = 0;
$toffs = array();
$tafft = array();
$Tarif->_flatTarif($ncol, $toffs, $tafft);

/* PREPARATION DU RETOUR DE L'ACTION */
$result['TarifExercice'] = $TarifExercice;
$result['Exercice']      = $Exercice;
$result['editable']      = $editable;
$result['Tarif']         = $Tarif;
$result['ncols']         = $ncols;
$result['toffs']         = $toffs;
$result['tafft']         = $tafft;

?>
