<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 14/07/05 Hooligan0 : Creation - Cette action permet de chercher les
 *      types d'adhesion disponibles.
 */

require_once GASELL_BASE . '/lib/Adhesion.php';

global $Gasell;

$typesResult = array();

$objListe = new TypeAdhesion();
$liste = $objListe->searchAll();
if (count($liste) > 0)
{
	foreach ($liste as $tadh)
	{
		$tadhobj = new TypeAdhesion($tadh[0]);
		array_push($typesResult, $tadhobj);
	}
}

$result['typesadhesion'] = $typesResult;
?>