<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/**
 * Permet de charger la classe GasellPDF.
 *
 * @param string $args['pagename'] : permet de nommer la page.
 *
 * @return $pdf : instance de GasellPDF
 */

require_once GASELL_BASE . '/lib/GasellPDF.php';

/* Utilisation du nom transmis */
$pdf = new GasellPDF($args['pagename']);
/* Corps de la page */
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont("Times","",8);
$pdf->SetX(45);

/* On retourne l'objet PDF */
$result = $pdf;
?>