<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *           Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 *
 * Histoire
 *  * 05/05/05 Hooligan0 : Creation du fichier.
 *  * 03/11/05 Nissen : Ajout des pages du module compta
 *  * 10/07/05 DrazziB : Ajout des pages pour les activites / participations.
 *  * 08/07/05 Hooligan0 : Changement d'index, ajout de pages du mod compta
 *  * 06/05/05 Hooligan0 : Ajout de l'index d'admin et un index alternatif.
 *  * 12/05 - 01/06 GASELL Team : plusieurs ajouts pour la conversion au modele
 *     des actions
 */

/* Liste des pages "system" */
$PAGE['_INDEX_']    		= "index.php";
$PAGE['_LOGIN_']    		= "login.php";
$PAGE['_404_']      		= "404.php";
$PAGE['_REDIRECT_'] 		= "redirect.php";

$IPAGE['_HEADER_'] 		= "common-header.php";
$IPAGE['_FOOTER_'] 		= "common-footer.php";

$PAGE['deconnexion']            = "deconnexion.php";

/* Pages de la section Utilisateur */
$PAGE['association']            = "user/association.php";
// TODO : renommer en fonction de la facon dont on gere les comptes user
$PAGE['user_association']       = "user/association.php";
$PAGE['user_association_viewcompetences'] = "user/association_competences_view.php";
$PAGE['user_association_editcompetences'] = "user/association_competences_edit.php";
$PAGE['user_association_commissions']     = "_construct_.php";
$PAGE['user_association_viewmember']      = "user/user_membership.php";
$PAGE['user_association_editmember']      = "user/user_edit.php";
$PAGE['user_association_printmembre']     = "pdf/users_voir_pdf.php";
$PAGE['user_association_objetsmembre']    = "user/user_objets.php";
$PAGE['user_adhesion_details']            = "user/user_adh_detail.php";

/* Page de la section 'interventions' */
$PAGE['interventions']        	= "user/participations_index.php";
$PAGE['intervention_new']     	= "user/participations_ajout.php";
$PAGE['intervention_edit']     	= "user/participations_modif.php";

/* ========= Pages de la section 'admin' ========== */
/* ------------------------------------------------ */
$PAGE['admin']                 	= "admin/index.php";
/* Pages liees aux utilisateurs */
$PAGE['admin_users_list']      	= "admin/users_list.php";
$PAGE['admin_users_view']       = "admin/users_view.php";
$PAGE['admin_users_add']       	= "admin/users_add.php";
$PAGE['admin_users_edit']       = "admin/users_edit.php";
$PAGE['admin_users_objets']     = "admin/users_objets.php";
$PAGE['admin_users_chercher']   = "admin/users_chercher.php";
$PAGE['admin_users_ajouteadh']  = "admin/users_ajouteadh.php";
$PAGE['admin_users_detailadh']  = "admin/users_detailadh.php";
$PAGE['admin_users_civ']       	= "admin/users_civilites.php";
$PAGE['admin_users_view_pdf']   = "pdf/users_voir_pdf.php";
$PAGE['admin_users_list_pdf']   = "pdf/users_list_pdf.php";
/* Pages liees aux exercices */
$PAGE['admin_exercice_index']  	= "admin/exercice_index.php";
$PAGE['admin_exercice_new']    	= "admin/exercice_new.php";
$PAGE['admin_exercice_modif']  	= "admin/exercice_modif.php";
$PAGE['admin_exercice_typadh']  = "admin/exercice_typeadhesion.php";
/* Pages liees aux backups */
$PAGE['admin_backup_index']    	= "admin/backup_index.php";
$PAGE['admin_backup_save']     	= "admin/backup_save.php";
/* Pages liees aux comptes */
$PAGE['admin_comptes_add']	= "admin/comptes_add.php";
$PAGE['admin_comptes_voir']	= "admin/comptes_see.php";
$PAGE['admin_comptes_liste'] 	= "admin/comptes_liste.php";
$PAGE['admin_comptes_chpasswd']	= "admin/compte_chgpass.php";
/* Page de la section 'activites' */
$PAGE['admin_activite_index'] 	= "admin/activites_index.php";
$PAGE['admin_activite_ajout']   = "admin/activites_ajout.php";
$PAGE['admin_activite_edit']   = "admin/activites_modif.php";
/* Pages liees a la configuration */
$PAGE['admin_config']          	= "admin/config_index.php";
/* Page pour la gestion des tarifs */
$PAGE['admin_tarifs']           = "admin/tarifs_liste.php";
$PAGE['admin_tarifs_paramadd']  = "admin/tarifs_paramadd.php";
$PAGE['admin_tarifs_paramdel']  = "admin/tarifs_paramdel.php";
$PAGE['admin_tarifs_edparam']   = "admin/tarifs_edparam.php";

/* Pages du module compta */
$PAGE['compta_index']		= "compta/index.php";
$PAGE['compta_journal_gest']	= "compta/journal_gest.php";
$PAGE['compta_journal_new']	= "compta/journal_new.php";
$PAGE['compta_journal_view']	= "compta/journal_view.php";
$PAGE['compta_operation_add']	= "compta/operation_add.php";
$PAGE['compta_init']		= "compta/exoinit.php";
$PAGE['compta_compte_gest']	= "compta/compte_gest.php";
$PAGE['compta_compte_new']	= "compta/compte_new.php";
$PAGE['compta_compte_view']	= "compta/compte_view.php";
$PAGE['compta_create']		= "compta/create.php";

/* Pages du module de questionnaires */
$PAGE['modquestadm']      	= "modquestadm.inc";
$PAGE['modquest_voir']    	= "modquest_voir.inc";
$PAGE['modquest_listrep'] 	= "modquest_listrep.inc";
$PAGE['modquest_form']    	= "modquest_viewform.inc";

/* EOF */
?>
