<?
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 * Histoire
 * * 08/06/04 Hooligan0 : Creation de la page. Elle sert a la saisie
 *       d'un nouveau mot de passe pour le compte utilisateur horde.
 * * 21/01/05 DrazziB : XHTML 1.0
 * * 08/12/2005 GrdScarabe : passage au modele action
 **/


/* preparation de la page */
$title = array('Administration','Comptes','Mot de passe');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* Est-ce que l'on doit valider le formulaire ? */
if($this->getArg("toValid"))
{
	/* LANCEMENT DE LA VALIDATION DES PARAMETRES */
	$params['uid']   = $this->getArg("uid");
	$params['pass']  = $this->getArg("pass");
	$params['verif'] = $this->getArg("verif");
	$result = $this->doAction("admin", "validChgPassCompte", $params);

	/* on recupere le resultat */
	$valid = $result['valid'];

	/* on verifie la validite des parametres */
	if($valid)
	{
		/* LANCEMENT DU CHANGEMENT DU MOT DE PASS */
		$params['pass'] = $this->getArg("pass");
		$params['uid']  = $this->getArg("uid");
		$result = $this->doAction("admin", "chgPassCompte", $params);
	}

	/* on recupere le message d'erreur ou pas */
	$message = $result['message'];
}
	
/* on recupere l'identifiant user */
$login = $this->getArg("uid");

?>

<form action="<?php echo applicationUrl('index.php?page=admin_comptes_chpasswd&uid='.$login).'&toValid=true';?>" method="post">
<table class="main">
	<tr>
		<th class="header" align="left" colspan="2"> 
		<!-- Barre de titre -->
  			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> &gt;
			<a href="<?php echo applicationUrl('index.php?page=admin_comptes_liste');?>" class="header">
				Comptes
			</a>
				&gt;
			<a href="<?php echo applicationUrl('index.php?page=admin_comptes_voir&uid='.$login);?>" class="header">
				<?echo $login?>
			</a> 
			&gt; Changer le mot de passe
		</th>
	</tr>
	<?php if(isset($message) && !empty($message)) { ?>
		<tr class="item">
			<td colspan="2" align="center"> 
				<?php if(isset($valid) && $valid) { ?>
					<div class="success">
				<?php } else { ?>
					<div class="error">
				<?php } ?>
				<?php echo $message; ?> </div>
			</td>
		</tr>
	<?php } ?>
	<tr class="control">
		<td colspan="2">
			<b>Saisissez le nouveau mot de passe</b>
		</td>
	</tr>
	<tr class="item">
		<td align="center" width="100">Mot de passe</td>
		<td><input type="password" name="pass"/></td>
	</tr>
	<tr class="item">
		<td align="center" width="100">
			V&eacute;rification
		</td>
		<td>
			<input type="password" name="verif"/>
		</td>
	</tr>
	<tr class="item">
		<td align="center" width="100">
			Validation
		</td>
		<td>
			<input type="submit" value="Enregistrer"/>
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="2">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index d'administration
			</a>
		</td>
	</tr>
</table>
</form>

<?php $this->loadInclude("_FOOTER_", array()); ?>
