<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>  
 *          GrdScarabe <grdscarabe@grdscarabe.net>
 *
 *
 * Histoire
 *  * 08/06/04 Hooligan0 : Remise en forme de l'entete et divers corrections
 *    pour que le HTML soit valide.
 *  * 21/01/05 DrazziB : XHTML 1.0
 * * Histoire
 *  * 08/06/04 Hooligan0 : Remise en forme de l'entete et divers corrections
 *       pour que le HTML soit valide.
 *  * 26/05/04 Hooligan0 : Creation de la page. Elle sert a l'affichage des
 *      infos sur un compte horde/gasell.
 *  * 21/01/05 DrazziB : XHTML 1.0
 *  * 04/12/05 : GrdScarabe Passage au modele action
 */

/* Ajout de l'entete de page commune                                         */
$title = array('Administration','Comptes');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* Creation de la page */
$pageName = $this->getPageName();

/* lancement de l'action */
$sortby = $this->getArg("sortby");
$result = $this->doAction("admin", "getComptes",  array("sortby" => $sortby));

?>

<table class="main">
   <tr>
      <th class="header" align="left" colspan="3">
         <a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
            Administration
         </a> &gt; Comptes
      </th>
   </tr>

   <!-- Barre d'icones -->
   <tr>
      <th class="control" colspan="3">
         <table>
            <tr>
               <td>
	          <a href="<?php echo applicationUrl('index.php?page=admin_comptes_add'); ?>">
		     <img src="graphics/user.gif" border="0" alt="[Ajouter]" />
		  </a>
	       </td>
	       <td>&nbsp;</td>
	    </tr>
	    <tr>
	       <td>
	          <a href="<?php echo applicationUrl('index.php?page=admin_comptes_add'); ?>">
		     Ajouter
		  </a>
	       </td>
	    </tr>
         </table>
      </th>
   </tr>

   <!-- Liste des membres -->
   <tr class="item">
      <th class="item" width="80%">
         <a class="widget" href="<?php echo applicationUrl('index.php?page=admin_comptes_liste&sortby=user'); ?>">
	    Nom
	 </a>
      </th>
      <th class="item" width="10%">
         <a class="widget" href="<?php echo applicationUrl('index.php?page=admin_comptes_liste&sortby=level'); ?>">
	    Droits
	 </a>
      </th>
      <th class="item" width="10%">
         <a class="widget" href="<?php echo applicationUrl('index.php?page=admin_comptes_liste&sortby=memnum'); ?>">
	    Membre
	 </a>
      </th>
   </tr>
   <? if (count($result["comptes"]) == 0) { ?>
   <tr class="text">
      <td colspan="3" align="center">
         <i>Aucun membre pour l'exercice</i>
      </td>
   </tr>
   <? }
      foreach ($result["comptes"] as $Compte) { ?>
   <tr class="text">
      <td>
         <a href="<?php echo applicationUrl('index.php?page=admin_comptes_voir&uid='.$Compte[0]); ?>">
	    <?echo $Compte[0]; ?>
	 </a>
      </td>
      <td align="center">
         <? echo $Compte[2]; ?>
      </td>
      <td align="center">
         <? if ($Compte[1]) 
	       echo $Compte[1];
	    else 
	       echo "NON";
         ?>
      </td>
   <? } ?>
   </tr>

   <!-- Pied de page -->
   <tr>
      <td colspan="3">&nbsp;</td>
   </tr>
   <tr>
      <td class="menu" align="center" colspan="3">
         <a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin'); ?>">
	    <img src="graphics/admin/door.gif" alt="[Sortie]" />
	    Retour &agrave; l'index d'administration
	 </a>
      </td>
   </tr>
</table>


<?php $this->loadInclude("_FOOTER_", array()); ?>

