<?php
/*
 * Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *           Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 */

/* Historique :
	* 08/01/2006 DrazziB : Ajout des sections d'infos pour les liens.
	* 09/07/2005 Hooligan0 : Utilisation des methodes de la page pour inclure
	   les entete et pied. Transformation du tableau en <div>
	* 20/02/2005 Hooligan0 : Ajout du lien pour les sauvegardes.
	* 21/01/2005 DrazziB : XHTML 1.0
 */

$title = array('Administration');
$this->loadInclude('_HEADER_', array('title'=>$title)); 
?>
<div class="contenu">
	<div class="bloc">
        	<h1>Op&eacute;rations courantes</h1>
		<div class="puceMenu">
			<ul>
				<li><div class="links">
					<a href="<?php echo applicationUrl('index.php?page=admin_users_list');?>">
						Gestion des membres
<span>Gestion des civilit&eacute;s et des personnes de l'association : leurs adh&eacute;sions, leurs comp&eacute;tences et leurs objets.</span>
					</a></div>
				</li>
				<li><div class="links">
					<a href="<?php echo applicationUrl('index.php?page=admin_comptes_liste');?>">
						Gestion des comptes utilisateurs
<span>Gestion des comptes utilisateurs de GASELL permettant l'acc&egrave;s &agrave; l'application GASELL.</span>
					</a></div>
				</li>
				<li><div class="links">
					Edition de rapports (non disponible)</div>
				</li>
			</ul>
		</div>
	</div>	

	<div class="bloc">
		<h1>Op&eacute;rations particuli&egrave;res</h1>
		<div class="puceMenu">
			<ul>
				<li><div class="links">
					<a href="<?php echo applicationUrl('index.php?page=admin_activite_index');?>">
						Gestion des activit&eacute;s
<span>Gestion des activit&eacute;s et des participations li&eacute;es.</span>
					</a></div>
				</li>
				<li><div class="links">
					<a href="<?php echo applicationUrl('index.php?page=admin_exercice_index');?>">
						Gestion des exercices
<span>Ouverture, pr&eacute;paration et cloture des exercices et des types d'adh&eacute;sions.</span>
					</a></div>
				</li>
				<li><div class="links">
					<a href="<?php echo applicationUrl('index.php?page=admin_tarifs');?>">
						Editer les tarifs
<span>Cr&eacute;ation et modification des tarifs applicables pour chaque exercice.</span>
					</a></div>
				</li>
				<li><div class="links">
					<a href="<?php echo applicationUrl('index.php?page=admin_backup_index');?>">
						Sauvegardes
<span>Pr&eacute;paration d'une nouvelle sauvegarde des donn&eacute;es de GASELL.</span>
					</a></div>
				</li>
			</ul>
		</div>
	</div>

	<div class="bloc">
		<h1>Op&eacute;rations d'administration</h1>
		<div class="puceMenu">
			<ul>
				<li><div class="links">
					<a href="<?php echo applicationUrl('index.php?page=admin_config');?>">
						Configuration de GASELL
<span>Configuration de GASELL et activation / d&eacute;sactivation des options.</span>
					</a></div>
				</li>
			</ul>
		</div>
	</div>
</div>

<?php $this->loadInclude('_FOOTER_'); ?>
