<?php
/*
 * Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 *           Poulard Fabien (GrdScarabe) <gasell@grdscarabe.net>
 */

/* Histoire
 *  * 01/01/2006 DrazziB : Correction du chemin vers les icones
 *  * 09/12/2005 GrdScarabe : passage au modele action
 *  * 21/01/2005 DrazziB : XHTML 1.0
 */

/* Preparation du titre */
$title = array('Administration', 'Tarifs', 'Suppression d\' param&egrave;tre');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* LANCEMENT DE LA RECUPERATION DE LA LISTE DES PARAMETRES */
$params['exercice'] = $this->getArg("exercice");
$result = $this->doAction("admin", "getParamsTarifs", $params);
$lparams = $result['param'];

?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> &gt; 
			<a href="<?php echo applicationUrl('index.php?page=admin_tarifs');?>" class="header">
				Tarifs
			</a> &gt;
			Suppression d'un param&egrave;tre
		</th>
	</tr>
	<tr class="text">
		<td>
			<ul>
				<h2><img src="graphics/bomb.png" alt="bombe">S&eacute;lectionnez le ou les param&egrave;tre &agrave; supprimer :</h2>
				<ul>
					<form method="post" action="<?php echo applicationUrl('index.php?page=admin_tarifs');?>">
						<input type="hidden" name="action" value="paramdrop"/>
						<table>
						<?php
							for($i=0 ; $i<count($lparams) ; $i++)
							{
								//print_r($lparams[$i]);
								echo "<tr><td>";
								echo "<input type=\"checkbox\"";
								echo "name=\"paramstodel[]\" value=\"";
								echo $lparams[$i]['nom']."\"></td>";
								echo "<td>".$lparams[$i]['nom']."</td></tr>";
							}
						?>
						</table>
						<input type="submit" value="Supprimer">
					</form>
				</ul>
			</ul>
		</td>
	</tr>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin_tarifs');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index des tarifs
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude("_FOOTER_", array()); ?>
