<?php
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
    * 05/01/2006 DrazziB : Passage au modele action
    * 21/01/2005 DrazziB : XHTML 1.0
    * 20/04/2004 Hooligan0 : Remise en forme de l'entete et divers corrections
      pour que le HTML soit valide.
*/

if ($this->getArg("action") == "doajouteadh")
 {
	$params = array();
	$params['memnum']      = $this->getArg("memnum");
	$params['type']      = $this->getArg("type");
	$params['montant']      = $this->getArg("montant");
	$params['date']      = $this->getArg("date");
	$result = $this->doAction("admin", "addAdhesion", $params);

	if ($result == true)
		$this->doRedirect("admin_users_view&memnum=".$this->getArg("memnum"));
 }

/* Creation d'un objet Personne avec le numero de personne demande         */
$pnum = $this->getArg("memnum");
$result = $this->doAction("", "getPersonne", array("id" => $pnum));
$Membre = $result['personne'];

$result = $this->doAction("admin", "getTypesadhesion");
$TypesAdhesion = $result['typesadhesion'];

/* Generation de l'entete de la page */
$title = array('admin' => 'Administration', 'admin_users_list' => 'Membres', 'Ajout Adhesion');
$this->loadInclude("_HEADER_", array('title'=>$title));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

<div class="bloc">

<form action="<?php echo applicationUrl('index.php?page=admin_users_ajouteadh&action=doajouteadh');?>" method="POST">

<fieldset>
	<legend>Nouvelle adhesion pour "<?php echo $Membre->memPrenom." ".$Membre->memNom;?>"</legend>

<label for="memNum">Num&eacute;ro : </label><input name="memnum" readonly="readonly" value="<?php echo $Membre->memNum;?>"/>
<br/>
<label for="memNom">Nom : </label><input name="memNom" readonly="readonly" value="<?php echo $Membre->memNom;?>"/>
<br/>
<label for="memPrenom">Pr&eacute;nom : </label><input name="memPrenom" readonly="readonly" value="<?php echo $Membre->memPrenom;?>"/>
<br/>
<label for="type">Type d'adh&eacute;sion :</label>
<?php  if(count($TypesAdhesion) == 1) {?>
<input type="hidden" name="type" value="<?php echo $TypesAdhesion[0]->num;?>"/>
<?php  echo $TypesAdhesion[0]->libelle;?>
<?php  } else { ?>
<select name="type">
<option value="">-- Selectionnez --</option>
<?php  foreach($TypesAdhesion as $TypeAdhesion) { ?>
<option value="<?echo $TypeAdhesion->num;?>"><?php echo $TypeAdhesion->libelle;?></option>
<?php  } ?>
</select>
<?php  } /* if */?>
<br/>
<label for="date">Date : </label><input type="text" name="date" value="<?php echo date('d/m/Y', time());?>"/>
<br/>
<label for="montant">Montant : </label><input type="text" name="montant"/>
<input type="submit" value="Ajouter"/>
</fieldset>
</form>

</div>
</div>

<?php $this->loadInclude('_FOOTER_'); ?>
