<?
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 */

/* Historique :
	* 06/01/2006 DrazziB : Passage au modele action
	* 22/01/2005 Hooligan0 : Affichage d'un message lorsque aucun resultat
	  n'est trouve.
	* 21/01/2005 DrazziB : XHTML 1.0
	* 20/04/2004 Saint-Genest G. (Hooligan0) : Remise en forme de l'entete et
	  divers corrections pour que le HTML soit valide.
*/

$displayResults = 0;

if ($this->getArg("action") == "chercher")
 {
	$result = $this->doAction("admin", "searchPerson", $this->getAllArgs());
	$displayResults = $result['display_res'];
	$Membres = $result['membres'];
 }

/* Generation de l'entete de la page */
$title = array('admin' => 'Administration', 'admin_users_list' => 'Membres', 'Recherche');
$this->loadInclude("_HEADER_", array('title'=>$title));
?>

<div class="contenu">

<div class="bloc">

<form action="<?php echo applicationUrl('index.php?page=admin_users_chercher');?>" method="POST">
<fieldset>
	<legend>Recherche</legend>
<input type="hidden" name="action" value="chercher"/>
<label for="memnum">Num&eacute;ro personne : </label><input type="text" name="memnum"/>
<br/>
<label for="adhnum">Num&eacute;ro adh&eacute;sion : </label><input type="text" name="adhnum"/>
<br/>
<label for="memnom">Nom : </label><input type="text" name="memnom"/>
<br/>
<label for="memprenom">Pr&eacute;nom : </label><input type="text" name="memprenom"/>
<br/>
<label for="exercice">Exercice : </label><input type="text" name="exercice"/>
<br/>
<input type="submit" value="Lancer la recherche"/>
</fieldset>
</form>

<!-- Resultat de recherche -->
<?php
if ($displayResults == 1)
 {
?>
<fieldset>
	<legend>R&eacute;sultat</legend>
<table class="tablemain">
<?php
	if (empty($Membres))
	 {
?>
<tr class="text"><td><i>Aucun r&eacute;sultat trouv&eacute;</i></td></tr>
<?php
	 }
	else
	 { ?>
<?php
		foreach($Membres as $Membre)
		 { ?>
<tr class="item"><td><a href="<?php echo applicationUrl('index.php?page=admin_users_view&memnum='.$Membre->memNum);?>"><?php echo $Membre->memNum;?></a></td>
<td><a href="<?php echo applicationUrl('index.php?page=admin_users_view&memnum='.$Membre->memNum);?>"><?php echo $Membre->memNom;?></a></td>
<td><a href="<?php echo applicationUrl('index.php?page=admin_users_view&memnum='.$Membre->memNum);?>"><?php echo $Membre->memPrenom;?></a></td>
</tr>
<?php
		} /* fin du foreach       */
	 } /* ! empty($Membres)    */
?>
</table>
</fieldset>
<?php
 } /* $displayResults == 1 */
?>

</div>

<?php $this->loadInclude('_FOOTER_'); ?>