<?php
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
    * 21/01/2005 DrazziB : XHTML 1.0
    * 20/04/2004 Saint-Genest G. (Hooligan0) : Remise en forme de l'entete et
      divers corrections pour que le HTML soit valide.
*/

if ($this->getArg("action") == "savepersonne")
 {
	$result = $this->doAction("admin", "savePerson", $this->getAllArgs());

	if ($result == true)
		$this->doRedirect("admin_users_edit&memnum=" . $this->getArg("memnum"));
 }
else if ($this->getArg("action") == "savecontacts")
 {
	$result = $this->doAction("admin", "saveContactsForPerson", $this->getAllArgs());

	if ($result == true)
		$this->doRedirect("admin_users_edit&memnum=" . $this->getArg("memnum"));
 }
else if ($this->getArg("action") == "competencedel")
 {
	$params = array();
	$params['memnum']       = $this->getArg("memnum");
	$params['compnum']      = $this->getArg("compnum");
	$result = $this->doAction("admin", "deleteSkillForPerson", $params);

	if ($result == true)
		$this->doRedirect("admin_users_edit&memnum=" . $this->getArg("memnum"));
 }
else if ($this->getArg("action") == "competenceadd")
 {
	$params = array();
	$params['memnum']       = $this->getArg("memnum");
	$params['compnum']      = $this->getArg("compnum");
	$result = $this->doAction("admin", "addSkillForPerson", $params);

	if ($result == true)
		$this->doRedirect("admin_users_edit&memnum=" . $this->getArg("memnum"));
 }

/* Recherche si l'appli est config pour le suive des objet et competences    */
$params['req'][0] = array('section'=>"ASSO", 'param'=>"UseCompetences");
/* Appel l'action de recherche de parametres de config */
$result = $this->doAction("", "getConfig", $params);
/* Resultats */
$UseCompetence = $result["ASSO"]["UseCompetences"];

/* Creation d'un objet Personne avec le numero de personne demande         */
$pnum = $this->getArg("memnum");
$result = $this->doAction("", "getPersonne", array("id" => $pnum));
$Personne = $result['personne'];
$Contacts = $result['contacts'];

/* Recherche la liste des moyens de contacts possible pour une personne    */
$MoyensContact = $Personne->MoyensContact();

$result = $this->doAction('admin', 'getSkills', array('personne' => $Personne));
$Competences = $result['competences_personne'];
$ListeCompetences = $result['competences'];

/* Generation de l'entete de la page */
$title = array('admin' => 'Administration', 'admin_users_list' => 'Membres', 'Editer');
$this->loadInclude("_HEADER_", array('title'=>$title));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

<div class="bloc">
<form action="<?php echo applicationUrl('index.php?page=admin_users_edit&action=savepersonne');?>" method="POST">
<fieldset>
	<legend>Informations personnelles</legend>
<!-- Infos sur la personne -->
<label for="memnum">Num&eacute;ro : </label><input name="memnum" readonly="readonly" value="<?php echo $Personne->memNum;?>">
<br/>
<label for="memNom">Nom : </label><input type="text" name="memNom" value="<?echo $Personne->memNom;?>"/>
<br/>
<label for="memPrenom">Pr&eacute;nom : </label><input type="text" name="memPrenom" value="<?echo $Personne->memPrenom;?>"/>
<br/>
<label for="memSurnom">Surnom : </label><input type="text" name="memSurnom" value="<?echo $Personne->memSurnom;?>"/>
<br/>
<label for="memAdr1">Adresse : </label><input type="text" name="memAdr1" size="40" value="<?echo $Personne->memAdr1;?>"/>
<br/>
<label for="memAdr2">' ' : </label><input type="text" name="memAdr2" size="40" value="<?echo $Personne->memAdr2;?>"/>
<br/>
<label for="memCP">CP : </label><input type="text" name="memCP" value="<?echo $Personne->memCP;?>"/>
<br/>
<label for="memVille">Ville : </label><input type="text" name="memVille" value="<?echo $Personne->memVille;?>"/>
<br/>
<label for="memDatNaiJ">Naissance : </label>
<? $datJ = $Personne->memDatNai->format("%d");
   $datM = $Personne->memDatNai->format("%m");
   $datA = $Personne->memDatNai->format("%Y");?>
<select name="memDatNaiJ"><? foreach (array("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31") as $ent) {?><option value="<?echo $ent;?>"<?if ($datJ==$ent) echo ' selected="selected"';?>><?echo $ent;?></option><? } ?></select>
<select name="memDatNaiM"><option value="01"<?if ($datM=="01") echo ' selected="selected"';?>>Janvier</option><option value="02"<?if ($datM=="02") echo ' selected="selected"';?>>Fevrier</option><option value="03"<?if ($datM=="03") echo ' selected="selected"';?>>Mars</option><option value="04"<?if ($datM=="04") echo ' selected="selected"';?>>Avril</option><option value="05"<?if ($datM=="05") echo ' selected="selected"';?>>Mai</option><option value="06"<?if ($datM=="06") echo ' selected="selected"';?>>Juin</option><option value="07"<?if ($datM=="07") echo ' selected="selected"';?>>Juillet</option><option value="08"<?if ($datM=="08") echo ' selected="selected"';?>>Aout</option><option value="09"<?if ($datM=="09") echo ' selected="selected"';?>>Septembre</option><option value="10"<?if ($datM=="10") echo ' selected="selected"';?>>Octobre</option><option value="11"<?if ($datM=="11") echo ' selected="selected"';?>>Novembre</option><option value="12"<?if ($datM=="12") echo ' selected="selected"';?>>Decembre</option></select>
<input type="text" name="memDatNaiA" size="4" value="<?echo $datA;?>"/>
<br/>
<label for="memDatNaiJ">Sexe : </label><select name="memSexe"><option<?if ($Personne->memSexe == 1) echo ' selected="selected"';?>>M</option><option<?if ($Personne->memSexe == 2) echo ' selected="selected"';?>>F</option></select>
<br/>
<label for="memDatAdh1">1&egrave;re adh&eacute;sion : </label>
<input name="memDatAdh1" readonly="readonly" value="<?php echo $Personne->memDatAdh1;?>">
<br/>
<label for="memDatMaj">Derni&egrave;re MAJ : </label><input name="memDatMaj" readonly="readonly" value="<?php echo $Personne->memDatMaj;?>">
<br/>
<label for="memObs">Observations : </label><textarea name="memObs" rows="4" cols="30"><?echo $Personne->memObs;?></textarea>
<br/>
<input type="submit" value="Enregistrer les modifications"/>

</fieldset>
</form>
</div>

<div class="bloc">
<!-- Contacts -->
<form action="<?php echo applicationUrl('index.php?page=admin_users_edit&action=savecontacts');?>" method="POST">

<fieldset>
	<legend>Contacts</legend>

<input type="hidden" name="memnum" value="<?echo $Personne->memNum;?>"/>
<? if (count($MoyensContact) > 0)
    {
     foreach($MoyensContact as $MoyenCode => $Moyen) {
?>
<label for="<?php echo $Moyen;?>"><?php echo $Moyen;?></label><input type="text" name="<?php echo $Moyen;?>" <?php
if (isset($Contacts[$Moyen]))
 {
	echo ' value="'.$Contacts[$Moyen].'"';
 }
?>/></td></tr>
<?    } ?>
<br/>
<input type="submit" value="Enregistrer les modifications"/>
<?  }
   else
    { ?>
	<i>Aucun moyen de contact configur&eacute;</i>
<?  } ?>
</fieldset>
</form>
</div>

<?php
if ($UseCompetence == "OUI")
 {
?>
<div class="bloc">
<fieldset>
	<legend>Comp&eacute;tences de cette personne</legend>
<?php
	if (isset($Competences))
	 {
?>
<table class="tabmain">
	<tr>
		<th class="smallheader">Libell&eacute;</td>
		<th class="smallheader" width="20">Action</td>
	</tr>
<?php
	$i = 0;
     foreach($Competences as $CNum => $Competence)
	 {
		/* Permet d'alterner les styles des lignes */
		if ($i % 2)
		 {
			$classText = "item0";
		 }
		else
		 {
			$classText = "item1";
		 }
?>
<tr class="text <?php echo $classText; ?>">
	<td><?php echo $Competence;?></td>
	<td><a href="<?php echo applicationUrl('index.php?page=admin_users_edit&action=competencedel&memnum='.$Personne->memNum.'&compnum='.$CNum);?>">
  <img src="graphics/trash.png" border="0"></a></td>
</tr>
<?php
	$i++;
	 } 
?>
</table>
</fieldset>
<fieldset>
	<legend>Ajout d'une comp&eacute;tence</legend>
<form action="<?php echo applicationUrl('index.php?page=admin_users_edit&action=competenceadd');?>" method="POST">
<input type="hidden" name="memnum" value="<?php echo $Personne->memNum;?>"/>
<select name="compnum">
    <?php foreach ($ListeCompetences as $LCNum => $LComp) { ?>
      <option value="<?php echo $LCNum;?>"><?php echo $LComp;?></option>
    <?php } ?>
    </select><input type="submit" value="Ajouter"/>
</form>
<?php
	}
?>
</fieldset>
</div>
<?php
 }
?>

</div>

<?php $this->loadInclude('_FOOTER_'); ?>
