<?
/*
 * Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
	* 06/01/2006 DrazziB : Passage au modele action
    * 21/01/2005 DrazziB : XHTML 1.0
    * 26/04/2004 Hooligan0 : Creation de cette page d'edition des objets
*/

if ($this->getArg("action") == "objetadd")
 {
	$params = array();
	$params['memnum']       = $this->getArg("memnum");
	$params['libelle']      = $this->getArg("libelle");
	$result = $this->doAction("admin", "addObjectToPerson", $params);

	if ($result == true)
		$this->doRedirect("admin_users_objets&memnum=" . $this->getArg("memnum"));
 }
else if ($this->getArg("action") == "objetdel")
 {
	$params = array();
	$params['memnum']       = $this->getArg("memnum");
	$params['objnum']       = $this->getArg("objnum");
	$result = $this->doAction("admin", "deleteObjectOfPerson", $params);

	if ($result == true)
		$this->doRedirect("admin_users_objets&memnum=" . $this->getArg("memnum"));
 }

/* Recuperation d'un objet Personne avec le numero de personne demande         */
$pnum = $this->getArg("memnum");
$result = $this->doAction("", "getPersonne", array("id" => $pnum));
$Personne = $result['personne'];

/* Recuperation des objets d'une personne */
$Objets = $this->doAction('admin', 'getObjectsForPerson', array('personne' => $Personne));

/* Generation de l'entete de la page */
$title = array('admin' => 'Administration', 'admin_users_list' => 'Membres', 'Objets');
$this->loadInclude("_HEADER_", array('title'=>$title));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

<div class="bloc">

<fieldset>
	<legend>Objets de <?php echo $Personne->memPrenom;?> <?php echo $Personne->memNom;?></legend>
<table class="tabmain">
	<tr>
		<th class="smallheader">Num</td>
		<th class="smallheader">Libell&eacute;</td>
		<th class="smallheader">Action</td>
	</tr>
<?php if (count($Objets) == 0) {?>
<tr class="item"><td colspan="3"><i>Aucun objet</i></td></tr>
<?php }?>
<?php foreach($Objets as $ONum => $Objet) {?>
<tr class="item">
  <td align="center" width="40"><?php echo $ONum;?></td>
  <td width="520"><?php echo $Objet;?></td>
  <td align="center" width="40"><a href="<?php echo applicationUrl('index.php?page=admin_users_objets&action=objetdel&memnum='.$Personne->memNum.'&objnum='.$ONum);?>"><img src="graphics/trash.png" width="20" border="0" alt="[SUPPR]"/></a></td>
</tr>
<? } ?>
</table>
</fieldset>

<form action="<?php echo applicationUrl('index.php?page=admin_users_objets');?>" method="POST">
<fieldset>
	<legend>Nouvel objet</legend>
<input type="hidden" name="action" value="objetadd"/>
<input type="hidden" name="memnum" value="<?php echo $Personne->memNum;?>"/> 
<input type="text" name="libelle"/>
<input type="submit" value="Ajouter"/>
</fieldset>
</form>
</div>

<?php $this->loadInclude('_FOOTER_'); ?>
