<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 08/07/05 Hooligan0 : Correction diversse pour integration
 *  * 05/05/05 Hooligan0 : Creation de cette page d'index alternatif
 */

$this->addCSS('index');
$this->loadInclude('_HEADER_', array('title'=>array()));

?>
	<div class="contenu">
		<table>
		<tr>
			<td align="center" class="roll">
				<div class="links">
				<a class="menuitem" href="<?php echo applicationUrl('index.php?page=interventions'); ?>">
					<img src="graphics/formulaire.png" alt="Interventions" /><br/>Participations
				<span>La page des Participations vous permet de consulter et saisir vos participations aux activites de l'asso</span>
				</a>
				</div>
			</td>
			<td align="center" class="roll">
				<div class="links">
				<a class="menuitem" href="<?php echo applicationUrl('index.php?page=association'); ?>">
					<?php
						/* Permet de personnaliser l'interface en fonction de l'association */
						/* TODO : decider d'une maniere de stocker les infos de l'asso !!!	*/
						if(isset($GLOBALS['Gasell']->asso['logo']))
							{ echo "<img src=\"".$GLOBALS['Gasell']->asso['logo']."\" alt=\"Association\" />"; }
						else
							{ echo "<img src=\"graphics/default.png\" alt=\"Association\" />"; }
					?>
					<br/>Association
				<span>Page des informations generales de l'asso</span>
				</a>
				</div>
			</td>
		</tr>
		<?php
//			if($ULevel == DULEVEL_ADMIN) 
			{
				?>
				<tr>
					<td align="center" class="roll">
						<div class="links">
						<a class="menuitem" href="<?php echo applicationUrl('index.php?page=compta_index');?>">
							<img src="graphics/gestion.png" alt="Gestion" /><br/>Gestion</font>
						<span>La page de gestion donne acces au module de comptabilit&eacute;. Le domaine du tresorier et du comptable. </span>
						</a>
						</div>
					</td>
					<td align="center" class="roll">
						<div class="links">
						<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin');?>">
							<img src="graphics/admin.png" alt="Administration" /><br/>Administration
						<span>Lien permettant d'acceder a toutes les fonctions d'administration de l'asso (gestion des membres, cotis, activites, etc)</span>
						</a>
						<div>
					</td>
				</tr>
				<?php
/*
					if (count($MsgInfo) > 0)
					{ 
						?>
						<tr>
							<td colspan="3">&nbsp;</td>
						</tr>
						<tr>
							<td class="control" align="left" colspan="3"><b>Infos/News</b></td>
						</tr>
						<tr>
							<td class="item" colspan="3">
								<ul>
									<?php
									   foreach ($MsgInfo as $msg)
								      { 
								      	?>
											<li><?echo $msg;?>
											<?php
									    } 
									?>
								</ul>
							</td>
						</tr>
						<?php 
					} 
					// if count(MsgInfo)
*/
			} 
		?>
		</table>
	</div>
  
<?php $this->loadInclude('_FOOTER_'); ?>
