<?php
/*
* Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
*
* You should have received a copy of the GNU Public
* License along with this package; if not, write to the
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,
* Boston, MA 02111-1307, USA.
*
* Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
*
* * Histoire
*   * 21/01/05 DrazziB : XHTML 1.0
*   * 08/01/06 GrdScarabe : passage au modele action
*
*/

$title = array('Association','Comp&eacute;tences','Consultation');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* lancement de l'action permettant la recuperation 
    des informations de configuration           */
$params['req'] = array();
array_push($params['req'], array(
							'section' => 'PERSONNE',
							'param'   => 'EditCompetences'));

$result = $this->doAction("", "getConfig", $params);
// FIXME: il semble que la config ne contient jamais rien a ce propos
//$EditComp = ($result['PERSONNE']['ViewCompetences'] == 'OUI') ? true : false;
$EditComp = true;

/* Lancement de l'action pour recuperer les competences */
// TODO: passer le numero d'utilisateur en parametre
$result = $this->doAction("user", "getCompetences", array());
$Competences = $result['competences'];

?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			<a class="header" href="<?php echo applicationUrl('index.php?page=association');?>">
				Association
			</a> 
			&gt; Competences 
			&gt; Voir
		</th>
	</tr>

    <!-- Barre d'icones -->
    <?php 
		// TODO: cette partie me semble inutile : GrdScarabe, pensees
		if ($EditComp) 
		{ 
	?>
	<tr align="left">
		<th class="control" colspan="3">
			<a href="<?php echo applicationUrl('index.php?page=user_association_editcompetences');?>">
				Editer
			</a>
		</th>
	</tr>
    <?php } ?>

    <!-- Liste des competences -->
    <tr>
		<td class="item" align="center">
			<b>Code</b>
		</td>
		<td class="item" align="center">
			<b>D&eacute;signation de la comp&eacute;tence</b>
		</td>
	</tr>
    <?php
		foreach($Competences as $code => $valeur) 
		{ 
	?>
	<tr class="text">
		<td><?echo $code;?></td>
		<td colspan="2"><?echo $valeur;?></td>
	</tr>
    <?php } ?>

    <!-- Pied de page -->
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
    <tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=association');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index d'association
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude("_FOOTER_", array()); ?> 
