<?
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */
 
/* Histoire
	* 19/12/2005 DrazziB : Creation du template pour l'edition d'une participation
*/

if ($this->getArg("action") == "saveReport")
 {
	$params = array();
	$params['code']              = $this->getArg("code");
	$params['report']            = $this->getArg("report");
	$result = $this->doAction("admin", "saveReportForParticipation", $params);
	$message = $result['message'];
	$valid   = $result['valid'];
 }

if ($this->getArg("code") != NULL)
 {
	/* Chargement de la participation a modifier */
	$participation = $this->doAction('admin', 'getParticipation', array('code' => $this->getArg('code')));
 }
else
 {
	/* PROBLEME : la page n'est pas appellee avec les bons parametres */
	die ("Impossible d'afficher la page : parametre 'code' manquant !");
 }

/* Generation de l'entete de la page */
$title = array('interventions' => 'Participations', 'Modification');
$this->loadInclude('_HEADER_', array('title'=>$title));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

<div class="bloc">

<form method="POST" action="<?php echo applicationUrl('index.php?page=intervention_edit&action=saveReport');?>">

<fieldset>
	<legend>Bilan de votre participation &agrave; l'activit&eacute; "<?php echo $participation->activity->label; ?>"</legend>

<?php 
if(isset($valid) && isset($message))
 {
	if($valid)
	 {
		echo "<div class=\"success\">$message</div>";
	 }
	else
	 {
		echo "<div class=\"error\">$message</div>";
	 }
 }
?>

<?php
echo "<input type=\"hidden\" name=\"code\" value=\"" . $participation->id . "\"/>";
?>
<label for="report">Bilan personnel : </label>
<textarea name="report"><?php echo $participation->bilan ?></textarea>
<br />

<input type="submit" value="Valider">
</fieldset>
</form>

<br/>

<form method="POST" action="<?php echo applicationUrl('index.php?page=interventions&action=close&code='.$participation->id);?>">

<fieldset>
	<legend>Cloture de votre particpation &agrave; l'activit&eacute; "<?php echo $participation->activity->label; ?>"</legend>
	<input type="submit" value="Cloturer cette participation">
</fieldset>
</form>

</div>
</div>

<?php $this->loadInclude('_FOOTER_'); ?>