<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 05/12/05 Hooligan0 : Creation de cette action d'ajout de civilite 
 */

require_once GASELL_BASE . '/lib/Personne.php';

/* Copie des parametres passes a l'action */
$abr     = $args['abr'];
$libelle = $args['libelle'];

/* check that noone is empty */
if( ($abr != "") || ($libelle!="") )
{
	/* Appel de la methode d'avout d'une civilite sur l'objet Personne */
	Civilite::ajoute($abr, $libelle);

	/* all is ok */
	$result['valid']   = true;
	$result['message'] = 'Civilit&eacute; ajout&eacute;e';
} else {
	$result['valid']   = false;
	$result['message'] = 'Un des champs est vide';
}

// TODO Suppression de l'objet apres utilisation ?
//      Utilisation d'une classe autre ?
?>
