<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 05/12/05 Hooligan0 : Creation de cette action de suppression de civilite 
 */

require_once GASELL_BASE . '/lib/Personne.php';

/* Creation d'un tableau vide pour le resultat */
$result = array();

/* Copie du code de civilite a supprimer passe a l'action */
$code = $args['code'];

if ($code != NULL)
 {
	/* Appel de la methode de suppression d'une civilite sur l'objet Personne */
	Civilite::delete($code);
	/* all is ok */
	$result['valid']   = true;
	$result['message'] = 'Civilit&eacute; supprim&eacute;e';
 }
else
 {
	$result['valid']   = false;
	$result['message'] = 'Un des champs est vide';
 }

?>
