<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 14/07/05 Hooligan0 : Creation - Cette action permet de creer un nouvel
 *     exercice.
 */

require_once GASELL_LIB . '/Exercice.php';

/* Creation d'un objet Exercice                                              */
$Exe = new Exercice();

/* Le l'exercice en cours n'est pas ferme.                                   */
if (strtoupper($Exe->Status) != 'FERME')
 {
	/* Alors, il n'est pas possible de creer un nouvel exercice : Erreur    */
	$result['valid']    = false;
	$result['message']  = "Impossible de cr&eacute;er un nouvel exercice";
	$result['message'] .= " tant que le pr&eacute;c&eacute;dent n'est pas ";
	$result['message'] .= "ferm&eacute;.";
 }
else
 {
	/* Creation du nouvel exercice                                       */
	$Exe->Create($args['nom'], $args['datedebut'], $args['datefin']);
	$result['current']  = $Exe;
	$result['valid']    = true;
	$result['message']  = "Nouvel exercice ".$args['nom']." cr&eacute;&eacute;";
	$result['message'] .= " avec succ&egrave;s";
 }
?>
