<?php
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Poulard Fabien (GrdScarabe) <grdscarabe@free.fr>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/* Historique :
 *  * 10/01/2006 DrazziB : Utilisation de la classe ComptesGasell plutot que Gasell.
 */

global $Gasell;

/* Recuperation des parametres */
$p_memnum    = $args['memnum'];
$p_memnom    = $args['memnom'];
$p_password  = $args['password'];
$p_passwordv = $args['passwordv'];
$p_level     = $args['level'];

if ($p_memnom == "")
{
	/* Si aucun nom d'utilisateur n'a ete precise                            */
	$result['message'] = "Vous devez pr&eacute;ciser un nom d'utilisateur";
	$result['valid']   = false;
} elseif ($p_password == "")
{
	/* Si aucun mot de passe n'a ete precise                                 */
	$result['message'] = "Vous devez pr&eacute;ciser un mot de passe";
	$result['valid']   = false;
} elseif ($p_password != $p_passwordv)
{
	/* Si les deux mots de passe ne concordent pas                           */
	$result['message'] = "Les mots de passe ne concordent pas";
	$result['valid']   = false;
} else {
	/* Chargement de la liste complete des utilisateurs de l'appli           */
	$newUserName = $p_memnom;
	$Comptes = ComptesGasell::listAll();

	/* Recherche si le login demande existe deja dans cette liste            */
	foreach($Comptes as $element)
	{
		if (strtolower($newUserName) == strtolower($element[0]))
		{
			/* Oui, impossible de re-creer le login !                        */
			$result['message'] = "Ce nom d'utilisateur est deja utilise !";
			$result['valid']   = false;
		}
	}

	/* FIXME : Ajouter un controle de doublons */
	$result['memnum']   = isset($p_memnum) ? $p_memnum : NULL;
	/* Retourner les valeurs valides */
	$result['memnom']   = $p_memnom;
	$result['password'] = $p_password;
	$result['level']    = $p_level;
	$result['message']  = 'Donn&eacute;es valides';
	$result['valid']    = true;
}


?>
