<?php
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Poulard Fabien (GrdScarabe) <grdscarabe@free.fr>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/* Historique :
 *  * 10/01/2006 DrazziB : Utilisation de la classe ComptesGasell plutot que Gasell.
 *  * 08/12/2005 GrdScarabe : passage au modele action
 *  * 17/01/2005 Hooligan0 : Controle des parametres du formulaire d'ajout d'un
 *       nouvel utilisateur.*  
 *  * 07/11/2004 Hooligan0 : Controle si une personne possede deja un compte
 *      lors de l'appel a comptes_ajouter(). Si tel est le cas, redirection
 *      vers comptes_voir(). -> BUG 536
 *  * 08/06/2004 Hooligan0 : Ajout de l'edition des infos d'un utilisateur et
 *      possibilite de changement de son mot de passe.
 *  * 25/05/2004 Hooligan0 : Prise en compte du mot de passe pour la creation
 *      d'un utilisateur horde.
 */

/* TODO : Controler que 'uid' existe */

/* ===== INITIALISATION ===== */
$uid   = $args['uid'];
$pass  = $args['pass'];
$verif = $args['verif'];

/* ===== IMPLEMENTATION DE L'ACTION ===== */
if(isset($uid) && isset($pass) && isset($verif)
	&& !empty($uid) && !empty($pass) && !empty($verif))
{
	// TODO controler l'existence de l'uid
	$valid = ($pass == $verif);

	/* on definit le message si necessaire */
	if(!$valid)
		$message = "Les mots de passe fournies ne concordent pas";
}
else
{
	$valid = false;
	/* message comme quoi un des champs est vide */
	$message = "Au moins un des champs est vide";
}

/* ====== PREPARATION DU RESULTAT ====== */
if(!$valid)
	$result['message'] = $message;
$result['valid'] = $valid;

?>
