<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 04/12/05 Hooligan0 : Creation de cette action, recherche d'un ou
 *      plusieurs parametres dans la configuration.
 */

global $Gasell;

/* Initialisation d'un tableau vide pour le resultat */
$result = array();

/* Si un tableau d'options de config a ete passe en parametres */
if (isset($args['req']) && is_array($args['req']))
{
	/* Recherche pour chaque parametre demande */
	foreach ($args['req'] as $v)
	{
		$section = $v['section'];
		$param   = $v['param'];
		$X = $Gasell->CfgGet($section, $param);
		$result[$section][$param] = $X;
	}
}

?>
