<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 03/01/2006 DrazziB : Ajout de la phpdoc de l'action
 *  * 12/12/2005 Hooligan0 : Creation de cette action d'exctraction des donnees
 *      sur une personne
 */

/**
 * Recuperation d'une Personne en base.
 *
 * @param string $args['id'] : identifiant de la Personne
 *
 * @return $result['personne'] : objet Personne
 * @return $result['contacts'] : tableau de Contacts pour cette Personne
 */

require_once GASELL_BASE . '/lib/Personne.php';

global $Gasell;

$result = array();
$result['personne'] = NULL;
$result['contacts'] = NULL;

/* Construction d'un objet Membre pour la personne demandee                  */
$Personne = new Personne($args['id']);

/* Extrait le liste des contacts possibles pour cette personne               */
$Contacts = $Personne->Contacts();

$result['personne'] = $Personne;
$result['contacts'] = $Contacts;
?>
