<?php //English
/**
* Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@gasell.org>
*
* You should have received a copy of the GNU Public
* License along with this package; if not, write to the
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,
* Boston, MA 02111-1307, USA.
*
* @file setup/_lang_en.php
*
* @brief Declaration des phrases utilisees lors du script d'installation
*
* Le choix est fait de nommer les primitives en lettres majuscules pour eviter
* des possibles erreurs d'interpretation dans le fichier de config XML liees
* au choix de codage du charset
*
* @date 03-02-2005
* @author GrdScarabe <gasell-dev@grdscarabe.net>
**/
/* === TABLEAU CONTENANT LES DIFFERENTES LANGUES DE L'INSTALLATION === */
/* Le tableau regroupe toutes les phrases utilisees durant
l'installation, traduites dans la langue desiree */
// la langue anglaise
$GLOBALS['dico']['en'][0] = "The module ";
$GLOBALS['dico']['en'][1] = " is present and reachable";
$GLOBALS['dico']['en'][2] = " is present but unreachable";
$GLOBALS['dico']['en'][3] = " is not present";
$GLOBALS['dico']['en'][4] = "Impossible to connect to SGBD, the connection profile is
corrupted";
$GLOBALS['dico']['en'][5] = "Impossible to connect to the database";
$GLOBALS['dico']['en'][6] = "The connection profile is not set";
$GLOBALS['dico']['en'][7] = "Database access in creation is impossible";
$GLOBALS['dico']['en'][8] = "Database access in insertion is impossible";
$GLOBALS['dico']['en'][9] = "Database access in suppress is impossible";
$GLOBALS['dico']['en'][10] = "Your PHP version is not able to use PostgreSQL";
$GLOBALS['dico']['en'][11] = "Error while loading module dynamicly";
$GLOBALS['dico']['en'][12] = "Your PHP version is not able to use XML";
$GLOBALS['dico']['en'][13] = "SQL request incorrect";
$GLOBALS['dico']['en'][14] = "Fatal error while installing";
$GLOBALS['dico']['en'][15] = "Config file not found";
$GLOBALS['dico']['en'][16] = "Cancel";
$GLOBALS['dico']['en'][17] = "Previous";
$GLOBALS['dico']['en'][18] = "Next";
$GLOBALS['dico']['en'][19] = "Finish";
$GLOBALS['dico']['en'][20] = "Tag not known";
$GLOBALS['dico']['en'][21] = "Installation cancelled";
$GLOBALS['dico']['en'][22] = "The installation has been cancelled by the user.<br />You can
now shut down your browser".
$GLOBALS['dico']['en'][23] = "The installation process is done";
$GLOBALS['dico']['en'][24] = "The Gasell team thanks you for using its product.<br/>
Do not hesitate to report us bugs at :
<a href='mailto:contact@gasell.org'>contact@gasell.org</a>
<br/>You can use the GNA debug manager too : <a href='https://gna.org/bugs/?group=gasell'>here</a>
<br/><br/>Just to say another time that this version of
Gasell is for testing purpose only.";
$GLOBALS['dico']['en'][25] = "Information about the database";
$GLOBALS['dico']['en'][26] = "Network address of the database server";
$GLOBALS['dico']['en'][27] = "Login to connect database server";
$GLOBALS['dico']['en'][29] = "Password to connect";
$GLOBALS['dico']['en'][30] = "Database name to use";
$GLOBALS['dico']['en'][31] = "Information about database connection missing";
$GLOBALS['dico']['en'][32] = "Database server connection done successfully";
$GLOBALS['dico']['en'][33] = "Database modification test done successfully";
$GLOBALS['dico']['en'][34] = "PostgreSQL extension exists";
$GLOBALS['dico']['en'][35] = "XML extension exists";
$GLOBALS['dico']['en'][36] = "SQL request executed";
$GLOBALS['dico']['en'][37] = "Database connection successfull";
$GLOBALS['dico']['en'][38] = "Database creation successfull";
$GLOBALS['dico']['en'][39] = "Bad request";
$GLOBALS['dico']['en'][40] = "Gasell root directory";
$GLOBALS['dico']['en'][41] = "Configuration file successfully created";
$GLOBALS['dico']['en'][42] = "Configuration file creation failed<br />In order to create
                              the configuration file manually, thanks to enter the 
                              informations below in the file";
$GLOBALS['dico']['en'][43] = "Specify the user name please";
$GLOBALS['dico']['en'][44] = "User/Association successfully added";
$GLOBALS['dico']['en'][45] = "User/Association adding failed";
$GLOBALS['dico']['en'][46] = "Creating an association";
$GLOBALS['dico']['en'][47] = "Minimum configuration inserted";
$GLOBALS['dico']['en'][48] = "Unable to insert minimum configuration";
$GLOBALS['dico']['en'][49] = "Page n&ordm;";
?>
