<?php
//Fran&ccedil;ais

/**
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@gasell.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * @file setup/_lang_fr.php
 *
 * @brief Declaration des phrases utilisees lors du script d'installation
 *
 * Le choix est fait de nommer les primitives en lettres majuscules pour eviter
 * des possibles erreurs d'interpretation dans le fichier de config XML liees 
 * au choix de codage du charset
 *
 * @date 03-02-2005
 * @author GrdScarabe <gasell-dev@grdscarabe.net>
 **/

/* === TABLEAU CONTENANT LES DIFFERENTES LANGUES DE L'INSTALLATION === */
    /*  Le tableau regroupe toutes les phrases utilisees durant
        l'installation, traduites dans la langue desiree         */

// la langue francaise
$GLOBALS['dico']['fr'][0] = "Le module ";
$GLOBALS['dico']['fr'][1] = " est pr&eacute;sent et accessible";
$GLOBALS['dico']['fr'][2] = " est pr&eacute;sent mais semble corrompu";
$GLOBALS['dico']['fr'][3] = " n'est pas pr&eacute;sent";
$GLOBALS['dico']['fr'][4] = "Connexion impossible au SGBD, le profil de connexion 
                            est incorrect";
$GLOBALS['dico']['fr'][5] = "Conexion impossible &agrave; la base";
$GLOBALS['dico']['fr'][6] = "Le profil de connexion n'a pas &eacute;t&eacute; renseign&eacute;";
$GLOBALS['dico']['fr'][7] = "Acc&egrave;s &agrave; la base en cr&eacute;ation impossible";
$GLOBALS['dico']['fr'][8] = "Acc&egrave;s &agrave; la base en insertion impossible";
$GLOBALS['dico']['fr'][9] = "Acc&egrave;s &agrave; la base en suppression impossible";
$GLOBALS['dico']['fr'][10] = "Votre PHP ne g&egrave;re pas la base PostgreSQl";
$GLOBALS['dico']['fr'][11] = "Erreur de chargement dynamique des modules";
$GLOBALS['dico']['fr'][12] = "Votre PHP ne g&egrave;re pas le XML";
$GLOBALS['dico']['fr'][13] = "Requ&ecirc;te SQL incorrecte";
$GLOBALS['dico']['fr'][14] = "Erreur fatale lors de l'installation : ";
$GLOBALS['dico']['fr'][15] = "Fichier de configuration introuvable";
$GLOBALS['dico']['fr'][16] = "Annuler";
$GLOBALS['dico']['fr'][17] = "Pr&eacute;cedent";
$GLOBALS['dico']['fr'][18] = "Suivant";
$GLOBALS['dico']['fr'][19] = "Terminer";
$GLOBALS['dico']['fr'][20] = "Tag inconnu";
$GLOBALS['dico']["fr"][21] = "Installation interrompue";
$GLOBALS['dico']["fr"][22] = "L'installation a &eacute;t&eacute; interrompue par 
                              l'utilisateur.<br/>Vous pouvez fermer votre navigateur";
$GLOBALS['dico']["fr"][23] = "L'installation est termin&eacute;e";
$GLOBALS['dico']["fr"][24] = "L'&eacute;quipe de d&eacute;veloppement de Gasell vous remercie d'utiliser son produit.
                              N'h&eacute;sitez pas &agrave; nous remonter les bugs &agrave : 
                              <a href='mailto:contact@gasell.org'>contact@gasell.org</a>
                              Vous pouvez &eacute;galement utiliser le gestionnaire de GNA : <a href='https://gna.org/bugs/?group=gasell'>ici</a>
                              
                              Nous vous rappelons que cette version n'est destin&eacute;e qu'&agrave; la r&eacute;alisation de tests.
                              
                              <a href=\"../\">Page de login de GASELL</a>.";
$GLOBALS['dico']["fr"][25] = "Renseignements sur la base de donnees";
$GLOBALS['dico']["fr"][26] = "Adresse reseau du serveur";
$GLOBALS['dico']["fr"][27] = "Nom d'utilisateur pour la connexion &agrave; la base";
$GLOBALS['dico']["fr"][29] = "Mot de passe de connexion";
$GLOBALS['dico']["fr"][30] = "Nom de la base a utiliser";
$GLOBALS['dico']["fr"][31] = "Renseignements sur la connexion indisponible";
$GLOBALS['dico']["fr"][32] = "Connexion au serveur de base de donn&eacute;es r&eacute;ussie";
$GLOBALS['dico']["fr"][33] = "Test de modification de la base de 
                              donn&eacute;es r&eacute;ussi";
$GLOBALS['dico']["fr"][34] = "Extension PostgreSQL pr&eacute;sente";
$GLOBALS['dico']["fr"][35] = "XML extension exists";
$GLOBALS['dico']["fr"][36] = "Requ&ecirc;te effectu&eacute;e";
$GLOBALS['dico']["fr"][37] = "Connexion &agrave; la base de donn&eacute;es r&eacute;ussie";
$GLOBALS['dico']["fr"][38] = "Cr&eacute;ation de la base effectu&eacute;e avec succ&egrave;s";
$GLOBALS['dico']["fr"][39] = "Mauvaise requ&ecirc;te";
$GLOBALS['dico']["fr"][40] = "R&eacute;pertoire racine de Gasell";
$GLOBALS['dico']["fr"][41] = "Fichier de configuration cr&eacute;&eacute";
$GLOBALS['dico']["fr"][42] = "Impossible de cr&eacute;er le fichier de configuration<br />Pour 
                              cr&eacute;er le fichier &agrave; la main, merci de placer les
                              donn&eacute;es suivantes dans le fichier";
$GLOBALS['dico']["fr"][43] = "Veuillez entrer le nom de l'utilisateur";
$GLOBALS['dico']["fr"][44] = "Utilisateur/Association ajout&eacute; &agrave; la base";
$GLOBALS['dico']["fr"][45] = "Echec lors de l'ajout de l'utilisateur ou de l'association";
$GLOBALS['dico']["fr"][46] = "Ajout d'une association";
$GLOBALS['dico']["fr"][47] = "Insertion de la configuration minimale effectuee";
$GLOBALS['dico']["fr"][48] = "Impossible d'inserer la configuration minimale";
$GLOBALS['dico']["fr"][49] = "Page n&ordm;";

?>