<?
/**
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 * * 08/06/04 Hooligan0 : Remise en forme de l'entete et divers corrections
 *                        pour que le HTML soit valide.
 * * 26/05/04 Hooligan0 : Creation de la page. Elle sert a l'affichage des
 *                        infos sur un compte horde/gasell.
 * * 21/01/05 DrazziB    : XHTML 1.0
 * * 07/12/05 GrdScarabe : passage au modele action
 **/

/* ======================= APPEL DES ACTIONS ========================= */

/* Creation de la page */
$pageName = $this->getPageName();

/* lancement de l'action permettant la creation du compte */
$params['uid'] = $this->getArg("uid");
$result = $this->doAction("admin", "showCompte", $params);

$login  = $result['login'];
$memnum = $result['memnum'];
$level  = $result['level'];

/* ===================== FIN APPEL DES ACTIONS ======================== */


/* ==== Inclusion du header ==== */
$title = array('Administration','Comptes','Visionner');
$this->loadInclude("_HEADER_", array('title'=>$title));

?>

<form method="post">
<table class="main">
	<tr>
		<th class="header" align="left" colspan="2">
			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> &gt;  
			<a href="<?php echo applicationUrl('index.php?page=admin_comptes_liste');?>" class="header">
				Comptes
			</a> &gt; <?echo $login;?>
		</th>
	</tr>
	<tr>
		<th class="control" align="left" colspan="2">
			<table>
				<tr>
					<td align="center">
					<?php
						$url = applicationUrl('index.php?page=admin_comptes_chpasswd&uid='.$login);
						echo "<a href=\"$url\">";
					?>
						<img src="graphics/admin/keys.png" border="0" alt="[Clefs]"/>
						</a>
					</td>
				</tr>
				<tr>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=admin_comptes_chpasswd&uid='.$login);?>">
							Changer Pass
						</a>
					</td>
				</tr>
			</table>
		</th>
	</tr>
	<tr class="item">
		<td align="center" width="150">Nom</td>
		<td><?echo $login;?></td>
	</tr>
	<tr class="item">
		<td align="center">Num&eacute;ro de membre</td>
		<td>
		<?if (isset($memnum) && ($memnum != "")) { ?>
		<?echo $memnum;?>
		<? } else { ?>
		L'utilisateur n'est pas membre.
		<? } ?>
		</td>
	</tr>
	<tr class="item">
		<td align="center">Droits</td>
		<td>
			<?echo $level;?>
			<? if ($level == 1)
				echo " (Utilisateur sans droits)";
			   else if ($level == 4)
			   	echo " (Administrateur)";
			?>
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="2">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index d'administration
			</a>
		</td>
	</tr>
</table>
</form>

<?php $this->loadInclude("_FOOTER_", array()); ?>
