<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 *  * 04/12/05 Hooligan0 : Convertion de .inc a .php (avec actions)
 *  * 28/01/05 Hooligan0 : Retrait de la barre d'icone avec seulement liens
 *     de debug
 *  * 26/04/04 Hooligan0 : Creation de cette page de configuration de Gasell
 *  * 21/01/05 DrazziB : XHTML 1.0
*/

$title = array('Administration', 'Config');
$this->loadInclude('_HEADER_', array("title"=>$title));

/* Creation d'un tableau des parametres de config recherches */
$params['req'][0] = array("section"=>"ASSO",      "param"=>"UseObjets");
$params['req'][1] = array("section"=>"ASSO",      "param"=>"UseCompetences");
$params['req'][2] = array("section"=>"PERSONNES", "param"=>"CheckHomonymes");
/* Utilisation de la fonction de lecture de config */
$results = $this->doAction("", "getConfig", $params);

/* Placement de variables locales en fonction des resultats de recherche */
$UseObjets      = $results['ASSO']['UseObjets'];
$UseCompetence  = $results['ASSO']['UseCompetences'];
$CheckHomonymes = $results['PERSONNES']['CheckHomonymes'];
?>

<div class="contenu">
	<div class="bloc">
		<h1>Options g&eacute;n&eacute;rales</h1>
		<table class="liste">
			<tr>
				<?php if ($UseObjets && $UseObjets == "OUI") {?><td class="vert">activ&eacute;</td><?php } else { ?><td class="rouge">d&eacute;sactiv&eacute;</td><?php } ?>
				<td>Suivi des objets</td>
			</tr>
			<tr>
				<?php if ($UseCompetence && $UseCompetence == "OUI") {?><td class="vert">activ&eacute;</td><?php } else { ?><td class="rouge">d&eacute;sactiv&eacute;</td><?php } ?>
				<td>Suivi des comp&eacute;tences</td>
			</tr>
		</table>
	</div>

	<div class="bloc">
		<h1>Gestion des personnes</h1>
		<table class="liste">
			<tr>
				<?php if ($CheckHomonymes == "OUI") {?><td class="vert">activ&eacute;</td><?php } else { ?><td class="rouge">d&eacute;activ&eacute;</td><?php } ?>
				<td>Contr&ocirc;le des homonymes</td>
			</tr>
		</table>
	</div>
</div>
<?php $this->loadInclude('_FOOTER_', array()); ?>
