<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *           Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 21/01/05 DrazziB : XHTML 1.0
 *  * 14/07/05 Hooligan0 : Migration vers le modele a "actions"
 *  * 21/12/05 GrdScarabe fin de la migration vers le modele "actions" 
 */


/* ON SWITCH SELON L'ACTION A EXECUTER */
switch($this->getArg('action'))
{
	case "modifier":
		$params['status'] = $this->getArg("currStatus");
		$result = $this->doAction("admin", "switchStatusCurrExercice", $params);
		$res = $result['resultat'];
		$msg = $result['message'];
		break;
}

/* LANCEMENT DE L'ACTION DE RECUPERATION DES EXERCICES */
$result = $this->doAction("admin", "getExercices", array());
$Exe = $result['current'];

$title = array('Administration','Exercices','Modification d\'un Exercice');
$this->loadInclude('_HEADER_', array('title'=>$title));

?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> &gt; 
			<a href="<?php echo applicationUrl('index.php?page=admin_exercice_index');?>" class="header">
				Exercice
			</a> &gt;
			Modification de l'exercice
		</th>
	</tr>
	<tr class="text">
<?php
	if(isset($Exe) && (strtolower(get_class($Exe)) == 'exercice')) {
		if ($Exe->nextStatus() != false) {
?>
		<td>
			L'exercice actuel est <?php echo $Exe->Libelle; ?> (num&eacute;ro 
			<?php echo $Exe->Num;?>).
			<form action="<?php echo applicationUrl('index.php?page=admin_exercice_modif'); ?>" method="POST">
				<input type="hidden" name="action" value="modifier" />
				<input type="hidden" name="currStatus" value="<?php echo $Exe->Status; ?>" />
				Pressez le bouton suivant pour passer du statut&nbsp; 
				<b>
					<?php echo strtoupper($Exe->Status); ?>
				</b> 
				au statut&nbsp;
				<b>
					<?php echo strtoupper($Exe->nextStatus());?>
				</b>.
				<br/>
				<input type="submit" value="Valider" />
			</form>
			<br/>
			(*) Attention ! Lorsque l'exercice est commenc&eacute;, 
			certains param&egrave;tres ne sont plus &eacute;ditable.
		</td>
<?php } else { // not possible to switch the status ?>
		<td align="center">
			L'exercice courant est &agrave; pr&eacute;sent cl&ocirc;tur&eacute;,
			il n'est plus possible de le modifier.<br />
			Merci de cr&eacute;er un nouvel exercice.
		</td>
<?php
		} // status case
	} else { // no current exercice
?>
		<td align="center">
			Il n'y a aucun exercice courant !
		</td>
<?php
	}
?>
	</tr>
	
	<!-- Pied de page -->
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin_exercice_index');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index des exercices
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude('_FOOTER_'); ?>
