<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 *           Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 28/01/05 Hooligan0 : Correction du test sur la variable $Exercice
 *  * 22/01/05 GrdScarabe : correction et indentation HTML + ajout javascript
 *  * 21/01/05 DrazziB : XHTML 1.0
*/
 
$title = array('Administration','Tarifs','Ajout d\'un param&egrave;tre');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* recuperation de l'exercice */
$exercice = $this->getArg("exercice");

/* Selon la volonte de l'utilisateur on met en place une validation par javascript ou non ! */
$jssubmit = "";
if (isset($conf['user']['js']) &&  $conf['users']['js'])
{
		?>
		<script language="JavaScript">
			<!--
				/* definition des champs a tester */
				var flds = new Array("nom");
				
				/* fonction qui teste le formulaire */
				function check()
				{
					/* formulaire renvoye seulement si fction renvoie vrai */
					/*  ie seulement si les champs specifies sont non vides */
					return CheckNoEmptyFields(flds);					
				}
			-->
		</script>
		<?php
	$jssubmit = "onsubmit=\"check()\"";
}

?>
<table class="main">
		<tr>
			<th class="header" align="left" colspan="3">
				<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
					Administration
				</a> &gt;
				<a href="<?php echo applicationUrl('index.php?page=admin_tarifs');?>" class="header">
					Tarifs
				</a> 
				&gt; Ajout d'un param&egrave;tre
			</th>
		</tr>
		<tr class="text">
			<td align="center">
				<!-- Debut du formulaire -->
				<form action="<?php echo applicationUrl('index.php?page=admin_tarifs');?>" <?php echo $jssubmit; ?> method="post">
					<input type="hidden" name="action" value="paramcreate">
					<?php 
						if (isset($Exercice)) 
						{
							echo '<input type="hidden" name="exercice" value="';
							echo $Exercice->Num.'">'; 
						}
					?>
					<table>
						<tr>
							<td>Nom du param&egrave;tre</td>
							<td><input type="text" name="nom"></td>
						</tr>
						<tr>
							<td>Profondeur du param&egrave;tre</td>
							<td>
								<select name="cols">
									<option>2</option>
									<option>3</option>
									<option>4</option>
									<option>5</option>
								</select>
							</td>
						</tr>
						<tr>
							<td>Validation</td>
							<td>
								<input type="submit" value="Valider">		
							</td>
						</tr>
					</table>
				</form>
			</td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td class="menu" align="center" colspan="3">
				<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin_tarifs');?>">
					<img src="graphics/admin/door.gif" alt="[Sortie]" />
					Retour &agrave; l'index des tarifs
				</a>
			</td>
		</tr>
	</table>

<?php $this->loadInclude("_FOOTER_", array()); ?>
