<?
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Dim (dimdidi) <dimdidi@voila.fr>
 *           Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/* Lancement des actions */
$params = array();
$params['sortby'] = $this->getArg('sortby');
if ($this->getArg('view') == "all")
 {
	$params['isAll'] = 1;
 }
else
 {
	$params['isAll'] = 0;
 }

$result = $this->doAction('admin', 'getPersonnes', $params);
$Membres = $result['personnes'];
$Cotisation = $result['cotisations'];

/* Chargement du moteur de rendu PDF */
$pdf = $this->doAction('pdf', 'initPDF', array('pagename' => $this->getPageName()));

$posX=0;
$posX++;
$tabP["posX"][$posX]=$pdf->GetX();
$pdf->SetY($pdf->GetY()-5);
$pdf->SetY($pdf->GetY()+5);$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(66, 69, 99);$pdf->SetTextColor(206,207,239);
$pdf->SetFont("","B");
$aff="";
if (isset($Tous) && ($Tous == 1))
 {
	$aff="(Tous)";
 }
$pdf->Cell(120,5,'Liste des membres '.$aff,1,0,"C","1");
$pdf->SetFont("","");
$pdf->SetY($pdf->GetY()+5);$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(206, 207, 206);$pdf->SetTextColor(0,0,0);
$pdf->SetY($pdf->GetY()+5);$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->SetFont("","B");
$pdf->Cell(40,5,'Numero',1,0,"","1");
$pdf->Cell(40,5,'Nom',1,0,"","1");
$pdf->Cell(40,5,'Prenom',1,0,"","1");
$pdf->SetFont("","");
$pdf->SetFillColor(255);
if (count($Membres) == 0)
 {
	$pdf->SetY($pdf->GetY()+5);$pdf->SetX($tabP["posX"][$posX]);
	$pdf->SetFont("","i");
	$pdf->Cell(120,5,'Aucun membre pour l"exercice',1,0,"C","1");
	$pdf->SetFont("","");
 } 
else
 { 
	foreach ($Membres as $Mem)
	 {
		$pdf->SetY($pdf->GetY()+5);
		$pdf->SetX($tabP["posX"][$posX]);
		$pdf->Cell(40,5,$Mem->memNum,1,0,"","1");
		$pdf->Cell(40,5,$Mem->memNom,1,0,"","1");
		$pdf->Cell(40,5,$Mem->memPrenom,1,0,"","1");
	 }
	$pdf->SetY($pdf->GetY()+5);$pdf->SetX($tabP["posX"][$posX]);
	$pdf->Cell(120,5,'Nombre de membres : '.count($Membres),1,0,"C","1");
}
$posX--;

/* Lancement du rendu vers le navigateur */
$pdf->Output($pdf->GSL_pdf_filename, 'D');
?>