<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 17/05/05 Hooligan0 : Creation - Permet la redirection du navigateur.
 *  * 12/12/05 DrazziB   : Redirection via Location ou via Refresh.
 */

if ($this->getArg("url") != NULL)
{
	if(!headers_sent())
	 {
		/* Si les headers n'ont pas encore ete envoyes */
		/* ...on peut faire une redirection via Location */
		header('HTTP/1.1 303 See Other');
		header("Location: " . $this->getArg("url"));
	 }
	else
	 {
		/* Dans le cas contraire, on affiche une page HTML */
		/* ... avec une entete META Refresh */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- Gasell: Copyright 2005, Linux-Nantes Association                   -->
<!--         Gasell is under the GPL. Main page: http://www.gasell.org/ -->
<!-- GNU General Public License: http://www.fsf.org/licenses/gpl.html   -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >
<head>
	<title>Redirection...</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-15" />
	<link rel="stylesheet" type="text/css" href="<? echo applicationUrl('css/oldstyle.css'); ?>" />
	<link rel="stylesheet" type="text/css" href="<? echo applicationUrl('css/default.css'); ?>" />
	<link type="text/css" rel="stylesheet" href="css/test_alt.css" />
		<meta http-equiv="Refresh" content="0; URL=<?php echo $this->getArg("url");?>">
	</head>
	<body>
		<a href="<?php echo $this->getArg("url"); ?>">
			Redirection vers "<b><?php echo $this->getArg("url"); ?></b>".
		</a>
	</body>
</html>
<?php
	 }
 }
else
 {
	/* Le parametre URL doit etre defini pour l'appel de ce template */
	die("Parametre URL non defini !");
 }
?>
