<?php
/*
* Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
*
* You should have received a copy of the GNU Public
* License along with this package; if not, write to the
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,
* Boston, MA 02111-1307, USA.
*
* Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
*
* * Histoire
*   * 21/01/05 DrazziB : XHTML 1.0
*   * 08/01/05 GrdScarabe : passage au modele action
*/

$title = array('Association');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* lancement de l'action permettant la recuperation 
	des informations de configuration           */
$params['req'] = array();
array_push($params['req'], array(
			'section' => 'PERSONNE',
			'param'   => 'ViewCompetences'));
array_push($params['req'], array(
			'section' => 'PERSONNE',
			'param'   => 'EditCompetences'));

$result = $this->doAction("", "getConfig", $params);
// FIXME: il semble que la config ne contient jamais rien a ce propos
//$EditComp = ($result['PERSONNE']['ViewCompetences'] == 'OUI') ? true : false;
//$ViewComp = ($result['PERSONNE']['EditCompetences'] == 'OUI') ? true : false;
$EditComp = false;
$ViewComp = true;

// FIXME: utilisation d'une action
$ValidUser = ($Gasell->user['memnum'] != '') ? true : false;

?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			Association &gt; Index
		</th>
	</tr>

    <!-- Barre d'icones -->
	<tr>
		<th class="control" align="left" colspan="3">
			<ul>
			<?php
				if ($EditComp) 
				{ 
			?>
				<li>
					<a href="<?php echo applicationUrl('index.php?page=user_association_editcompetences');?>">
						Editer la liste de mes comp&eacute;tences
					</a>
				</li>
			<?php 
				} elseif ($ViewComp) { 
			?>
				<li>
					<a href="<?php echo applicationUrl('index.php?page=user_association_viewcompetences');?>">
						Voir la liste de mes comp&eacute;tences
					</a>
				</li>
			<?php } ?>
			<!-- desactivee en attendant l'implementation des commissions
			<li>
				<a href="&action=bureau');?>">
					Informations sur le bureau
				</a>
			</li>
			-->
			<li>
				<a href="<?php echo applicationUrl('index.php?page=user_association_commissions');?>">
					Voir la liste des commissions
				</a>
			</li>
			<?php
				if ($ValidUser) 
				{
			?>
				<li>
					<a href="<?php echo applicationUrl('index.php?page=user_association_viewmember');?>">
						Voir mes informations
					</a>
				</li>
			<?php } ?>
			</ul>
		</th>
	</tr>

    <!-- Pied de page -->
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
    <tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude("_FOOTER_", array()); ?>
