<?
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */
 
/* Histoire
	* 21/01/2005 DrazziB : Creation du template pour la liste des participations
	* 16/12/2005 DrazziB : Nouveau CSS + XHTML 1.0
*/


if ($this->getArg("action") == "close")
 {
	$params = array();
	$params['code']      = $this->getArg("code");
	$result = $this->doAction("admin", "closeParticipation", $params);

	if ($result == true)
		$this->doRedirect("interventions");
 }
else if ($this->getArg("action") == "delete")
 {
	$params = array();
	$params['code']      = $this->getArg("code");
	$result = $this->doAction("admin", "deleteParticipation", $params);

	if ($result == true)
		$this->doRedirect("interventions");
 }

/* On charge la liste des participations pour cette personne */
// FIXME Crade
$params = array();
$params['personne'] = $GLOBALS['Gasell']->user['memnum'];
$tabParticipation = $this->doAction('admin', 'getParticipations', $params);

/* Generation de l'entete de la page */
$title = array('interventions' => 'Participations');
$this->loadInclude('_HEADER_', array('title'=>$title));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

	<div class="iconbar">
		<div class="icon">
			<a href="<?php echo applicationUrl('index.php?page=intervention_new');?>">
			<img src="graphics/admin/edit.png" alt="[Ajouter]"/>
			<span>Ajouter</span>
			</a>
		</div>
	</div>


<br/>

	<div class="bloc">

<fieldset>
	<legend>Liste de vos participations</legend>

	<table class="tabmain">
		<tr>
			<th class="smallheader" width="60">Code</td>
			<th class="smallheader">Libell&eacute;</td>
			<th class="smallheader">Date de d&eacute;but</td>
			<th class="smallheader">Date de fin</td>
			<th class="smallheader" width="20" colspan="3">Action</td>
		</tr>
<?php
	if (!isset($tabParticipation) || (count($tabParticipation)) == 0)
	 {
?>
		<tr class="text">
			<td colspan="7"><i>Aucune participation</i></td>
		</tr>
<?php
	 }
	else
	 {
		$i = 0;
		foreach($tabParticipation as $participation)
		 {
	
			/* Permet d'alterner les styles des lignes */
			if ($i % 2)
			 {
				$classText = "item0";
			 }
			else
			 {
				$classText = "item1";
			 }
?>
<tr class="text <?php echo $classText ?>">
	<td><?php echo $participation->id;?></a></td>
	<td><?php
if ($participation->endDate != 0 && date("Y-m-d") >= $participation->endDate)
 {
	echo "<del>";
 }

echo $participation->activity->label;

if ($participation->endDate != 0 && date("Y-m-d") >= $participation->endDate)
 {
	echo "</del>";
 }
?></td>
	<td><?php
if($participation->startDate != NULL)
 {
	echo $participation->startDate;
 }
else
 {
	echo "-";
 }
?></a></td>
	<td><?php
if($participation->endDate != NULL)
 {
	echo $participation->endDate;
 }
else
 {
	echo "-";
 }
?></a></td>
	<td><a href="<?php echo applicationUrl('index.php?page=intervention_edit&code='.$participation->id);?>"><img src="graphics/admin/edit.png" alt="Edition" border="0" height="16"/></a></td>
	<td><a href="<?php echo applicationUrl('index.php?page=interventions&action=delete&code='.$participation->id);?>"><img src="graphics/trash.png" alt="Suppression" border="0"/></a></td>
	<td><a href="<?php echo applicationUrl('index.php?page=interventions&action=close&code='.$participation->id);?>"><img src="graphics/close.png" alt="Cloture" border="0"/></a></td>
</tr>
<?php if ($participation->bilan != "")
 { 
?>
<tr>
	<td colspan="7" class="<?php echo $classText ?>"><b>Bilan</b> : <i><?php echo $participation->bilan; ?></i></td>
</tr>
<?php
 }
?>
<?
			$i++; // calcul pair / impair
		 } // foreach
	 } // if
?>
</table>
</fieldset>

</div>
</div>

<?php $this->loadInclude('_FOOTER_'); ?>
